%define upstream_name    XML-SemanticDiff
%define upstream_version 1.0004

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 5

Summary:    Default handler class for XML::SemanticDiff
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/XML/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Digest::MD5)
BuildRequires: perl(Encode)
BuildRequires: perl(Module::Build) >= 0.390.0
BuildRequires: perl(XML::Parser)
BuildArch:  noarch

%description
XML::SematicDiff provides a way to compare the contents and structure of
two XML documents. By default, it returns a list of hashrefs where each
hashref describes a single difference between the two docs.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Build.PL --installdirs=vendor

./Build

%check
./Build test

%install
./Build install --destdir=%{buildroot}

%files
%doc Changes LICENSE META.json META.yml MYMETA.yml README eg
%{_mandir}/man3/*
%perl_vendorlib/*

%changelog
* Sun Jun 19 2016 pterjan <pterjan> 1.0.400-5.mga6
+ Revision: 1036158
- Rebuild for perl 5.22.2

* Sat Feb 06 2016 umeabot <umeabot> 1.0.400-4.mga6
+ Revision: 941917
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 1.0.400-3.mga5
+ Revision: 750121
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.0.400-2.mga5
+ Revision: 686964
- Mageia 5 Mass Rebuild

* Mon Feb 10 2014 jquelin <jquelin> 1.0.400-1.mga5
+ Revision: 588843
- update to 1.0004

  + umeabot <umeabot>
    - Mageia 4 Mass Rebuild

  + shlomif <shlomif>
    - New version 1.0002

* Sun Jan 13 2013 umeabot <umeabot> 1.0.0-2.mga3
+ Revision: 375181
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Fri Dec 16 2011 shlomif <shlomif> 1.0.0-1.mga2
+ Revision: 182737
- imported package perl-XML-SemanticDiff


* Tue Jun 28 2011 cpan2dist 1.0000-1mga
- initial mageia release, generated with cpan2dist
